'use strict';

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _tape = require('tape');

var _tape2 = _interopRequireDefault(_tape);

var _ = require('..');

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var features = ['reset-nested', 'reset-mobile', 'reset-pc'];

features.forEach(function (name) {
  var featurePath = _path2.default.join('src', '__tests__', 'features');
  var inputCSS = _fs2.default.readFileSync(_path2.default.join(featurePath, name + '.css'), 'utf8');

  (0, _tape2.default)(name, function (t) {
    _2.default.process(inputCSS).then(function (result) {
      var actualCSS = result.css;
      var expectedCSS = _fs2.default.readFileSync(_path2.default.join(featurePath, name + '.expected.css'), 'utf8');

      _fs2.default.writeFileSync(_path2.default.join(featurePath, name + '.actual.css'), actualCSS);

      t.equal(actualCSS, expectedCSS);
      t.end();
    }).catch(function (err) {
      console.error(err);
    });
  });
});