'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var resetion = {
  'table': {
    'border-collapse': 'collapse',
    'border-spacing': '0',
    'vertical-align': 'middle'
  },
  'table-cell': {
    'text-align': 'left',
    'font-weight': 'normal',
    'vertical-align': 'middle',
    'margin': '0',
    'padding': '0'
  },
  'list': {
    'list-style': 'none',
    'margin': '0',
    'padding': '0'
  },
  'font': {
    'font-family': 'inherit',
    'font-size': 'inherit',
    'font-weight': 'inherit'
  },
  'boxModel': {
    'margin': '0',
    'padding': '0',
    'width': 'auto',
    'height': 'auto'
  }
};

exports.default = {
  resetGlobal(platefprm) {
    return new Promise(function (resolve, reject) {
      var inputPath = _path2.default.resolve(__dirname, `../src/styles/reset.${platefprm}.css`);

      _fs2.default.readFile(inputPath, 'utf8', function (err, file) {
        if (err) {
          reject(err);
        } else {
          resolve(file);
        }
      });
    });
  },
  resetNested(tags) {
    return new Promise(function (resolve) {
      var result = {};

      tags.forEach(function (tag) {
        Object.keys(resetion[tag]).forEach(function (prop) {
          result[prop] = resetion[tag][prop];
        });
      });
      resolve(result);
    });
  }
};